<html>
<head>
<title>TestNG:  Regression Test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Regression Test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>5/0/0</td>
</tr><tr>
<td>Started on:</td><td>Mon Jan 01 17:08:01 IST 2024</td>
</tr>
<tr><td>Total time:</td><td>37 seconds (37068 ms)</td>
</tr><tr>
<td>Included groups:</td><td>Regression </td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.ui.tests.AmazonProductPriceTest.verifyHomePageSearch()'><b>verifyHomePageSearch</b><br>Test class: com.ui.tests.AmazonProductPriceTest<br>Test method: Test to verify the search functionality in the home page<br>Parameters: iphone</td>
<td></td>
<td>2</td>
<td>com.ui.tests.AmazonProductPriceTest@6e20b53a</td></tr>
<tr>
<td title='com.ui.tests.AmazonProductPriceTest.verifyTheCart()'><b>verifyTheCart</b><br>Test class: com.ui.tests.AmazonProductPriceTest<br>Test method: To verify if the product is added to the cart</td>
<td></td>
<td>3</td>
<td>com.ui.tests.AmazonProductPriceTest@6e20b53a</td></tr>
<tr>
<td title='com.ui.tests.AmazonProductPriceTest.verifyResultsPage()'><b>verifyResultsPage</b><br>Test class: com.ui.tests.AmazonProductPriceTest<br>Test method: To verify if search results are displayed as expected</td>
<td></td>
<td>1</td>
<td>com.ui.tests.AmazonProductPriceTest@6e20b53a</td></tr>
<tr>
<td title='com.ui.tests.AmazonProductPriceTest.verifyPriceOfProductsInTheCart()'><b>verifyPriceOfProductsInTheCart</b><br>Test class: com.ui.tests.AmazonProductPriceTest<br>Test method: To verify if the total price of the products in the cart is displayed</td>
<td></td>
<td>0</td>
<td>com.ui.tests.AmazonProductPriceTest@6e20b53a</td></tr>
<tr>
<td title='com.ui.tests.AmazonProductPriceTest.verifyProductMainPage()'><b>verifyProductMainPage</b><br>Test class: com.ui.tests.AmazonProductPriceTest<br>Test method: To verify if buttons are displayed as expected in the Product Page</td>
<td></td>
<td>17</td>
<td>com.ui.tests.AmazonProductPriceTest@6e20b53a</td></tr>
</table><p>
</body>
</html>